org.eclipse.rdf4j.rio.nquads

## Class NQuadsWriterFactory

- java.lang.Object
- - org.eclipse.rdf4j.rio.nquads.NQuadsWriterFactory

- All Implemented Interfaces:
    RDFWriterFactory

      public class NQuadsWriterFactory
      extends Object
      implements RDFWriterFactory

  An `RDFWriterFactory` for `N-Quads` writers.
  Author:
    Peter Ansell

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NQuadsWriterFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RDFFormat` | `getRDFFormat()` Returns `RDFFormat.NQUADS`.
    `RDFWriter` | `getWriter(OutputStream out)` Returns a new instance of `NQuadsWriter`.
    `RDFWriter` | `getWriter(OutputStream out, String baseURI)` Returns an RDFWriter instance that will write to the supplied output stream.
    `RDFWriter` | `getWriter(Writer writer)` Returns a new instance of `NQuadsWriter`.
    `RDFWriter` | `getWriter(Writer writer, String baseURI)` Returns an RDFWriter instance that will write to the supplied writer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NQuadsWriterFactory

          public NQuadsWriterFactory()

  - ### Method Detail

    - #### getRDFFormat

          public RDFFormat getRDFFormat()

      Returns `RDFFormat.NQUADS`.
      Specified by:
        `getRDFFormat` in interface `RDFWriterFactory`

    - #### getWriter

          public RDFWriter getWriter(OutputStream out)

      Returns a new instance of `NQuadsWriter`.
      Specified by:
        `getWriter` in interface `RDFWriterFactory`
      Parameters:
        `out` - The OutputStream to write the RDF to.

    - #### getWriter

          public RDFWriter getWriter(OutputStream out,
                                     String baseURI)

      Description copied from interface: `RDFWriterFactory`
      Returns an RDFWriter instance that will write to the supplied output stream. Using the supplied baseURI to relativize IRIs to relative IRIs.
      Specified by:
        `getWriter` in interface `RDFWriterFactory`
      Parameters:
        `out` - The OutputStream to write the RDF to.
        `baseURI` - The URI associated with the data in the InputStream.

    - #### getWriter

          public RDFWriter getWriter(Writer writer)

      Returns a new instance of `NQuadsWriter`.
      Specified by:
        `getWriter` in interface `RDFWriterFactory`
      Parameters:
        `writer` - The Writer to write the RDF to.

    - #### getWriter

          public RDFWriter getWriter(Writer writer,
                                     String baseURI)

      Description copied from interface: `RDFWriterFactory`
      Returns an RDFWriter instance that will write to the supplied writer. Using the supplied baseURI to relativize IRIs to relative IRIs. (Optional operation)
      Specified by:
        `getWriter` in interface `RDFWriterFactory`
      Parameters:
        `writer` - The Writer to write the RDF to.
        `baseURI` - The URI associated with the data in the InputStream.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.